/**
 * @desc 树结构查询
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** pid */
    pid: string
}

export const init = new defs.ResultArrayListPermissionVo()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/permission/tree',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
